Multivariate Pattern Analysis in Python

# mvpa2.kernels.libsvm.PolyLSKernel

class `mvpa2.kernels.libsvm.``PolyLSKernel`(**kwargs)

  Polynomial kernel: K(a,b) = (gamma*a*b.T + coef0)**degree

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_ls`() |
  `as_raw_ls`() |
  `as_raw_np`() |
  `compute`(*args, **kwargs) |

  Initialize instance of PolyLSKernel

  Parameters:

  gamma

  > Gamma multiplying parameter for Polynomial. [Default: 1]

  degree

  > Degree of polynomial. [Default: 2]

  coef0

  > Offset inside polynomial. [Default: 1]

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_ls`() |
  `as_raw_ls`() |
  `as_raw_np`() |
  `compute`(*args, **kwargs) |